'use strict';

let gulp         = require('gulp'),
	rename       = require('gulp-rename'),
	notify       = require('gulp-notify'),
	autoprefixer = require('gulp-autoprefixer'),
	sass         = require('gulp-sass'),
	livereload   = require('gulp-livereload'),
	plumber      = require('gulp-plumber');

//frontend
gulp.task('jet-blocks', () => {
	return gulp.src('./assets/scss/jet-blocks.scss')
		.pipe(
			plumber( {
				errorHandler: function ( error ) {
					console.log('=================ERROR=================');
					console.log(error.message);
					this.emit( 'end' );
				}
			})
		)
		.pipe(sass( { outputStyle: 'compressed' } ))
		.pipe(autoprefixer({
				browsers: ['last 10 versions'],
				cascade: false
		}))

		.pipe(rename('jet-blocks.css'))
		.pipe(gulp.dest('./assets/css/'))
		.pipe(notify('Compile Sass Done!'))
		.pipe(livereload());
});

gulp.task('jet-blocks-editor', () => {
	return gulp.src('./assets/scss/jet-blocks-editor.scss')
		.pipe(
			plumber( {
				errorHandler: function ( error ) {
					console.log('=================ERROR=================');
					console.log(error.message);
					this.emit( 'end' );
				}
			})
		)
		.pipe(sass( { outputStyle: 'compressed' } ))
		.pipe(autoprefixer({
				browsers: ['last 10 versions'],
				cascade: false
		}))

		.pipe(rename('jet-blocks-editor.css'))
		.pipe(gulp.dest('./assets/css/'))
		.pipe(notify('Compile Sass Done!'))
		.pipe(livereload());
});

//watch
gulp.task('watch', () => {
	livereload.listen();
	gulp.watch('./assets/scss/**', ['jet-blocks']);
	gulp.watch('./assets/scss/**', ['jet-blocks-editor']);
});
